summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorszuidema2015-06-13 19:27:03 +0200
committerszuidema2015-06-13 19:27:03 +0200
commit6d83404fbcc38719bbc64f307e103cdab4414735 (patch)
tree561d652d3c76a76b5482d767dbf139272ea4b13b
downloadaur-6d83404fbcc38719bbc64f307e103cdab4414735.tar.gz
Initial AUR4 package / build 1225
-rw-r--r--.SRCINFO24
-rw-r--r--PKGBUILD57
-rw-r--r--moneydance.patch11
-rw-r--r--moneydance.sh5
4 files changed, 97 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..91bdad56f6e
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,24 @@
+pkgbase = moneydance
+ pkgdesc = A personal finance manager for Mac, Windows and Linux
+ pkgver = 2015.1225
+ pkgrel = 1
+ url = http://www.moneydance.com/
+ arch = i686
+ arch = x86_64
+ license = custom
+ makedepends = libicns
+ depends = java-runtime
+ depends = bash
+ source = moneydance.sh
+ source = moneydance.patch
+ source = http://infinitekind.com/stabledl/2015/Moneydance.zip
+ sha256sums = 9c45324e6929c3ef52d195cfbbc6014e666b2f34a1be03c0bd81cd50b44cd89a
+ sha256sums = 4e48af0efb968910304767fe0bbab733aaa7b15f4d05b6a82c9fdac78351776f
+ sha256sums = f39131137deca1d07d773c60691a7cd2364032abb72d43a35eaaf92ed7032962
+ source_i686 = http://infinitekind.com/stabledl/2015/Moneydance_linux_x86.tar.gz
+ sha256sums_i686 = e18866d3095edd311514794e14245ac2b1e2445deeaeff14db0dca3874d98af3
+ source_x86_64 = http://infinitekind.com/stabledl/2015/Moneydance_linux_amd64.tar.gz
+ sha256sums_x86_64 = d879cfc4d0867e165ecc9273d1ce17efa0a83b7c96c972c7d738812b2bb09ef3
+
+pkgname = moneydance
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..b6462852d41
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,57 @@
+# Maintainer: Sander Zuidema <archlinux at grunny dot demon dot nl>
+# Contributor: Lukas Grossar <lukas dot grossar at gmail dot com>
+
+pkgname=moneydance
+pkgver=2015.1225
+pkgrel=1
+epoch=
+pkgdesc="A personal finance manager for Mac, Windows and Linux"
+arch=('i686' 'x86_64')
+url="http://www.moneydance.com/"
+license=('custom')
+groups=()
+depends=('java-runtime' 'bash')
+makedepends=('libicns')
+checkdepends=()
+optdepends=()
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+changelog=
+source=('moneydance.sh'
+ 'moneydance.patch'
+ 'http://infinitekind.com/stabledl/2015/Moneydance.zip')
+source_i686+=(http://infinitekind.com/stabledl/2015/Moneydance_linux_x86.tar.gz)
+source_x86_64+=(http://infinitekind.com/stabledl/2015/Moneydance_linux_amd64.tar.gz)
+sha256sums=('9c45324e6929c3ef52d195cfbbc6014e666b2f34a1be03c0bd81cd50b44cd89a'
+ '4e48af0efb968910304767fe0bbab733aaa7b15f4d05b6a82c9fdac78351776f'
+ 'f39131137deca1d07d773c60691a7cd2364032abb72d43a35eaaf92ed7032962')
+sha256sums_i686=('e18866d3095edd311514794e14245ac2b1e2445deeaeff14db0dca3874d98af3')
+sha256sums_x86_64=('d879cfc4d0867e165ecc9273d1ce17efa0a83b7c96c972c7d738812b2bb09ef3')
+
+package() {
+ # generate directories in $pkgdir
+ install -m755 -d "$pkgdir/usr/bin" \
+ "$pkgdir/usr/share/java/$pkgname" \
+ "$pkgdir/usr/share/licenses/$pkgname" \
+ "$pkgdir/usr/share/applications" \
+ "$pkgdir/usr/share/pixmaps"
+
+ # copy files
+ cd "$srcdir"
+ install -m755 "$pkgname.sh" "$pkgdir/usr/bin/$pkgname" || return 1
+
+ # copy Mac icon since they're higher res
+ cd "$srcdir/${pkgname^}.app/Contents/Resources/"
+ icns2png -o . -x Moneydance.icns || return 1
+ install -m644 "Moneydance_1024x1024x32.png" "$pkgdir/usr/share/pixmaps/$pkgname.png" || return 1
+
+ cd "$srcdir/${pkgname^}"
+ patch -uN "resources/moneydance.desktop" "../moneydance.patch"
+ install -m644 "resources/moneydance.desktop" "$pkgdir/usr/share/applications/$pkgname.desktop" || return 1
+ install -m644 "resources/license.txt" "$pkgdir/usr/share/licenses/$pkgname/LICENSE" || return 1
+ install -m644 jars/*.jar "$pkgdir/usr/share/java/$pkgname" || return 1
+}
diff --git a/moneydance.patch b/moneydance.patch
new file mode 100644
index 00000000000..6d2d6e8b88f
--- /dev/null
+++ b/moneydance.patch
@@ -0,0 +1,11 @@
+--- moneydance.desktop.old 2013-01-23 13:12:49.821414467 +0100
++++ moneydance.desktop 2013-01-23 13:12:58.194702439 +0100
+@@ -2,7 +2,7 @@
+ Version=1.0
+ Terminal=false
+ Exec=moneydance
+-Icon=moneydance_icon512.png
++Icon=moneydance.png
+ Type=Application
+ Categories=Application;Office;
+ StartupNotify=false
diff --git a/moneydance.sh b/moneydance.sh
new file mode 100644
index 00000000000..976dca41ba5
--- /dev/null
+++ b/moneydance.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+for name in /usr/share/java/moneydance/*.jar; do
+ CP=$CP:$name
+done
+java -cp $CP Moneydance